NinjaFirewall 1.0.8

NinjaFirewall is a stand-alone PHP firewall script. It allows PHP developers to protect their PHP website against various attacks it may be under.

Even if it can work as a stand-alone, NinjaFirewall is also compatible with most common CMSs and e-commerce platforms, like Drupal, Joomla, WordPress, Virtuemart, osCommerce, X-Cart and PrestaShop.

Features of NinjaFirewall:
- Admin panel
- Easy install script
- Prevent SQL injections, brute-force scanners, shell script, RFI, LFI, XSS, and code execution attacks
- Support for encoded PHP scripts
- Log all firewall activity
- Compatible with most shared hosting providers

Professional Edition Features:
- Automatic updater
- IP ban filter
- Access to all configuration options

Requirements:
- PHP 5.1 or Higher
- MySQL 5 or Higher
- .htaccess and php.ini access

What's New in This Version:
- Added stats from previous months in the 'Statistics' page.
- Timezone can be set up in the 'Account/Options' menu.
- Security ruleset update.
- Added 'hooked PHP script' to the debug console.
- Added isset($log_db_err) to the firewall to prevent potential PHP warning message.
- Increased line-height value in CSS. Buttons looked too small when using either Chrome or Safari browsers.
- HTTP return code writes '200 OK' to log when sanitizing a value instead of a wrong '403 Forbidden' message.

License type: GPL
Date added: Sept. 23, 2012, 5:30 p.m. | Last updated: Sept. 27, 2012, 7:36 a.m.